commit 64a02a09f672c870a36961b23ccbbeb00ff227ba
Author: freddy77 <freddy77>
Date:   Mon Mar 1 14:52:52 2010 +0000

    fix FreeTDS detection

diff --git a/ChangeLog b/ChangeLog
index 997d25b..c7aafc9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Mar  1 15:52:14 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/freeclose.c: fix FreeTDS detection
+
 Mon Mar  1 15:50:06 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/prepclose.c src/odbc/unittests/timeout3.c:
 	* src/odbc/unittests/timeout4.c:
@@ -2338,4 +2341,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2994 2010/03/01 14:50:55 freddy77 Exp $
+$Id: ChangeLog,v 1.2995 2010/03/01 14:52:52 freddy77 Exp $
diff --git a/src/odbc/unittests/freeclose.c b/src/odbc/unittests/freeclose.c
index 8c96e81..3367912 100644
--- a/src/odbc/unittests/freeclose.c
+++ b/src/odbc/unittests/freeclose.c
@@ -52,7 +52,7 @@
 
 #include "tds.h"
 
-static char software_version[] = "$Id: freeclose.c,v 1.11 2010/03/01 14:33:04 freddy77 Exp $";
+static char software_version[] = "$Id: freeclose.c,v 1.12 2010/03/01 14:52:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* this crazy test test that we do not send too much prepare ... */
@@ -315,6 +315,7 @@ main(int argc, char **argv)
 	TDS_SYS_SOCKET last_socket;
 	int port;
 	const int num_inserts = 20;
+	int is_freetds;
 
 #ifdef _WIN32
 	WSADATA wsaData;
@@ -335,6 +336,7 @@ main(int argc, char **argv)
 		return 1;
 	}
 
+	is_freetds = driver_is_freetds();
 	Disconnect();
 
 	/* init fake server, behave like a proxy */
@@ -348,7 +350,7 @@ main(int argc, char **argv)
 	printf("Fake server binded at port %d\n", port);
 
 	/* override connections */
-	if (driver_is_freetds()) {
+	if (is_freetds) {
 		setenv("TDSHOST", "127.0.0.1", 1);
 		sprintf(string, "%d", port);
 		setenv("TDSPORT", string, 1);

